%define pre rc1
%define qt_ver_major 3
%define qtdir %_libdir/qt%qt_ver_major
%define kdedir %(kde-config --prefix)

Name: tuneroid
Version: 0.9.4
Release: alt0.7%pre

Summary: An instrumental tuner
Group: Sound
License: GPL
Url: http://www.uid0.sk/zyzstar/?%name

Source: %name-%version%pre.tar.bz2
#Source1: %name.ru.po

BuildPreReq: menu-devel

# Automatically added by buildreq on Thu Apr 15 2004
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libalsa-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer zlib-devel

%description
tuneroid is a tuner for a variety of musical instruments.

%prep
%setup -q -n %name-%version%pre
#%__install -m644 %SOURCE1 po/ru.po

%__subst 's,\.la\>,.so,' configure* admin/acinclude.m4*
%__subst 's,\([[:blank:]]automake.*|.*\)),\1 | automake*1.8* ),' admin/cvs.sh

%build
export KDEDIR=%kdedir
export QTDIR=%qtdir

%make -f admin/Makefile.common
%configure --disable-rpath
%make_build

%install
%make_install DESTDIR=%buildroot install

# menu
%__mkdir_p %buildroot/%_menudir
freedesktop2menu.pl %name "Multimedia/Sound" \
    %buildroot/%_datadir/applnk/Multimedia/%name.desktop \
    %buildroot/%_menudir/%name

# icon
%__cp %buildroot/%_iconsdir/hicolor/16x16/apps/%name.png %buildroot/%_iconsdir

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applnk/*/*
%_datadir/apps/%name
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png
%_menudir/*
%doc AUTHORS ChangeLog README TODO

%changelog
* Thu Apr 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.4-alt0.7rc1
- fixed %%build

* Tue Dec 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.4-alt0.6rc1
- new version.

* Fri Sep 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.3-alt0.6
- rebuild

* Mon Jun 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.3-alt0.5
- new version.

* Sun May 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.3-alt0.5rc1
- First build for Sisyphus.
- Russian translation (Alexandre Prokoudine).
